Subject: Re: bug#61661: 30.0.50; [PATCH] Define 'appt-notification' face

From: Stefan Kangas <[email-masked]>
Date: Mon, 4 Sep 2023 13:51:44 -0700

Protesilaos Stavrou <[email-masked]> writes:

> The appt.el library can show a notification for upcoming appointments on
> the mode line.  The face it uses is hardcoded to 'mode-line-emphasis'
> which, by default, is a bold weight.
>
> With the attached patch, we have a new face that the user/theme can set
> to something easier to spot like bold+red.  Decoupling this indicator
> from the generic 'mode-line-emphasis' allows us to add extra styling
> only to the notification without affecting other parts of the mode line
> that may be using 'mode-line-emphasis'.
>
> What do you think?

Makes sense to me.  I edited your NEWS message to be more clear, and
installed this on master as commit 367c3f25a16.